import re
import sys
from pathlib import Path

MOIN_PATH = '/var/www/moin/wikis'
MODULE_REGEX = r'^[_a-zA-Z][_a-zA-Z0-9]+$'

module_name = '{{ cookiecutter.directory_name }}'

if not re.match(MODULE_REGEX, module_name):
    print('ERROR: %s is not a valid Python module name!' % module_name)
    sys.exit(1)

try:
    import {{ cookiecutter.directory_name }}
    print('ERROR: %s is an existing Python module!' % module_name)
    sys.exit(2)
except ImportError:
    pass

wiki_path = Path(MOIN_PATH) / module_name
if wiki_path.exists():
    print('ERROR: wiki %s already exists!' % module_name)
    sys.exit(3)
